//Import the mongoose module
var mongoose = require('mongoose');
//Set up default mongoose connection
var mongoDB = 'mongodb://127.0.0.1/EngWeb2023';
mongoose.connect(mongoDB, {useNewUrlParser: true, useUnifiedTopology: true});
//Get the default connection
var db = mongoose.connection;
//Bind connection to error event (to get notification of connection errors)
db.on('error', console.error.bind(console, 'MongoDB connection error...'));
db.once('open', function() {
    console.log("Conexão ao MongoDB realizada com sucesso...")

    var studentSchema = new mongoose.Schema({
        _id: String,
        nome: String,
        gitlink: String,
        tpc1: String,
        tpc2: String,
        tpc3: String,
        tpc4: String,
        tpc5: String,
        tpc6: String,
        tpc7: String,
        tpc8: String
    });
    var studentModel = mongoose.model('student', studentSchema)
 
    var students = [
        {
            "nome": "Ana Dias",
            "_id": "A1111"
        } ]
 
    studentModel.create(students)
 
    console.log("That's all folks...")
});


   

